// SPDX-License-Identifier: Apache-2.0
import ValidatedRequest from "../../../../core/validation/ValidatedArgs";
import FormatValidation from "../FormatValidation";
export default class FullRedeemAtMaturityRequest extends ValidatedRequest {
    securityId;
    sourceId;
    constructor({ securityId, sourceId }) {
        super({
            securityId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
            sourceId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
        });
        this.securityId = securityId;
        this.sourceId = sourceId;
    }
}
